<template>
  <h1>
    Paging Mission Control
  </h1>
  <label for="fileSelect">
    Select a file:
    <input
      id="fileSelect"
      ref="fileSelectRef"
      type="file"
      @change="onUpload"
    >
  </label>
  <div v-if="results">
    Result:
    <pre>{{ results }}</pre>
  </div>
</template>

<script>
import { ref } from 'vue';

import { findAlerts, parseTelemetryText } from '@/utils/parseInput';

export default {
  name: 'App',
  setup() {
    const fileSelectRef = ref();
    const results = ref();

    function scanForAlerts(text) {
      const data = parseTelemetryText(text);
      const alertArray = findAlerts(data);
      results.value = JSON.stringify(alertArray, null, 2);
    }

    function onUpload() {
      const { files } = fileSelectRef.value;
      if (files?.length > 0) {
        files[0].text()
          .then(scanForAlerts)
          .catch(console.error);
      }
    }

    return {
      fileSelectRef,
      results,
      onUpload,
    };
  },
};
</script>
